########################################################################################################################
# Ref:
# - SAST: https://gitlab.com/help/user/application_security/sast/index.md
# - Ref: https://docs.sonarqube.org/latest/analysis/analysis-parameters/
########################################################################################################################
include:
  - local: web-app/ci/sbt.yaml
  - local: web-app/ci/docker.yaml
  - local: web-app-authorization/ci/opa.yaml
  - local: web-app-authorization/ci/docker.yaml

cache:
  key: ${CI_COMMIT_REF_SLUG}

variables:
  DOCKER_REGISTRY: ${CI_REGISTRY}
  DOCKER_USER: ${CI_DEPLOY_USER}
  DOCKER_PASSWORD: ${CI_DEPLOY_PASSWORD}
  SAST_DEFAULT_ANALYZERS: "spotbugs, secrets"
  APP_VERSION: 0.1.0

#########################################################################################################
#########################################################################################################
# Building Application
#########################################################################################################
#########################################################################################################

stages:
  - compile
  - qa
  - build-container
  - test
  - security
  - publish
  - env-deploy
  - env-delete
  - env-destroy
